#include "dialog.h"
#include "ui_dialog.h"
#include "dialogoajuda.h"

#include <QMessageBox>  //QObject-QWidget-QDialog-QMessageBox

Dialog::Dialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::Dialog)
{
    ui->setupUi(this);

    connect(ui->ok, SIGNAL(clicked()), this, SLOT(ok_clicado()));
    connect(ui->cancel, SIGNAL(clicked()), this, SLOT(cancel_clicado()));
    connect(ui->ajuda, SIGNAL(clicked()), this, SLOT(abrir_ajuda()));
}

void Dialog::ok_clicado()
{
    QString saindo;
    saindo = "Saindo um ";
    if(ui->xSalada->isChecked())
    {
        saindo += "X-Salada, ";
    }
    else
    {
        if(ui->xFrango->isChecked())
        {
            saindo += "X-Frango, ";
        }
        else
        {
            if(ui->xTudo->isChecked())
            {
                saindo += "X-Tudo, ";
            }
            else
            {
                saindo += "X-Nada, ";
            }
        }
    }
    saindo += "com refrigereco ";
    if(ui->noCal->isChecked())
    {
        saindo += "light ";
    }
    if(ui->noGelo->isChecked())
    {
        saindo += "sem gelo ";
    }
    saindo += "!!";
    QMessageBox::information(this,"Pedido Finalizado!", saindo);
    this->accept();
}

void Dialog::cancel_clicado()
{
    QString saindo("Saindo um cliente descontente !!");
    QMessageBox::information(this,"Pedido Finalizado", saindo);
    this->reject();
}

void Dialog::abrir_ajuda()
{
    DialogoAjuda dialog(this);
    dialog.exec();
}

Dialog::~Dialog()
{
    delete ui;
}
